scala.collection

# GenTraversableLike

#### trait GenTraversableLike[+A, +Repr] extends GenTraversableOnce[A] with Parallelizable[A, ParIterable[A]]

A template trait for all traversable collections upon which operations may be implemented in parallel.

Source
  GenTraversableLike.scala

Linear Supertypes
Parallelizable[A, ParIterable[A]], GenTraversableOnce[A], Any
Known Subclasses
::, Appended, Appended, Appended, Appended, Appended, Appended, Appended, Appended, Appended, ArrayBuffer, ArrayLike, ArrayOps, ArraySeq, ArrayStack, Atom, Attribute, BitSet, BitSet, BitSet, BitSet1, BitSet2, BitSetLike, BitSetN, Buffer, BufferLike, BufferProxy, BufferWrapper, Comment, ConcurrentMap, Cons, Content, DefaultKeySet, DefaultKeySet, DefaultKeySet, DefaultKeySortedSet, DefaultKeySortedSet, DefaultMap, DefaultMap, DefaultMapModel, DefaultValuesIterable, DefaultValuesIterable, Document, DoubleLinkedList, DoubleLinkedListLike, DroppedWhile, DroppedWhile, DroppedWhile, DroppedWhile, DroppedWhile, DroppedWhile, DroppedWhile, DroppedWhile, Elem, Empty, EmptyView, EmptyView, EmptyView, EmptyView, EmptyView, EmptyView, EmptyView, EntityRef, Exclusive, Filtered, Filtered, Filtered, Filtered, Filtered, Filtered, Filtered, Filtered, FilteredKeys, FilteredKeys, FlatMapped, FlatMapped, FlatMapped, FlatMapped, FlatMapped, FlatMapped, FlatMapped, Forced, Forced, Forced, Forced, Forced, Forced, Forced, Forced, Forced, GenIterable, GenIterableLike, GenIterableView, GenIterableViewLike, GenMap, GenMapLike, GenSeq, GenSeqLike, GenSeqView, GenSeqViewLike, GenSet, GenSetLike, GenTraversable, GenTraversableView, GenTraversableViewLike, Group, HashMap, HashMap, HashMap1, HashSet, HashSet, HashSet1, HashTrieMap, HashTrieSet, History, ImmutableDefaultKeySet, ImmutableMapAdaptor, ImmutableSetAdaptor, Impl, Inclusive, Inclusive, IndexedSeq, IndexedSeq, IndexedSeq, IndexedSeqLike, IndexedSeqLike, IndexedSeqOptimized, IndexedSeqOptimized, IndexedSeqView, Indices, IntMap, Iterable, Iterable, Iterable, IterableForwarder, IterableLike, IterableProxy, IterableProxyLike, IterableView, IterableViewLike, LinearSeq, LinearSeq, LinearSeq, LinearSeqLike, LinearSeqOptimized, LinkedHashMap, LinkedHashSet, LinkedList, LinkedListLike, List, ListBuffer, ListMap, ListMap, ListSet, LongMap, Map, Map, Map, Map, Map1, Map2, Map3, Map4, MapLike, MapLike, MapLike, MapProxy, MapProxy, MapProxy, MapProxyLike, Mapped, Mapped, Mapped, Mapped, Mapped, Mapped, Mapped, Mapped, Mapped, MappedValues, MappedValues, MemberScope, MemberScopeApi, MetaData, MultiMap, MutableList, Nil, Node, Node, Node, NodeBuffer, NodeSeq, Null, NumericRange, ObservableBuffer, ObservableMap, ObservableSet, OpenHashMap, PCData, PagedSeq, ParArray, ParHashMap, ParHashMap, ParHashSet, ParHashSet, ParIterable, ParIterable, ParIterable, ParIterableLike, ParIterableView, ParIterableViewLike, ParMap, ParMap, ParMap, ParMapLike, ParMapLike, ParRange, ParSeq, ParSeq, ParSeq, ParSeqLike, ParSeqView, ParSeqViewLike, ParSet, ParSet, ParSet, ParSetLike, ParSetLike, ParTrieMap, ParVector, Patched, Patched, Patched, Patched, PicklerEnv, PrefixedAttribute, Prepended, Prepended, Prepended, Prepended, PriorityQueue, PriorityQueueProxy, ProcInstr, Queue, Queue, QueueProxy, Range, RefBuffer, ResizableArray, Reversed, Reversed, Reversed, Reversed, Reversed, RevertibleHistory, Scope, Scope, ScopeApi, Script, SelectionSet, Seq, Seq, Seq, SeqForwarder, SeqLike, SeqLike, SeqProxy, SeqProxyLike, SeqView, SeqViewLike, Set, Set, Set, Set1, Set2, Set3, Set4, SetLike, SetLike, SetProxy, SetProxy, SetProxy, SetProxyLike, Sliced, Sliced, Sliced, Sliced, Sliced, Sliced, Sliced, Sliced, Sliced, Sliced, SortedMap, SortedMap, SortedMapLike, SortedSet, SortedSet, SortedSet, SortedSetLike, SpecialNode, Stack, Stack, StackProxy, Stream, StreamView, StreamViewLike, StringBuilder, StringLike, StringOps, SynchronizedBuffer, SynchronizedMap, SynchronizedPriorityQueue, SynchronizedQueue, SynchronizedSet, SynchronizedStack, SystemProperties, TakenWhile, TakenWhile, TakenWhile, TakenWhile, TakenWhile, TakenWhile, TakenWhile, TakenWhile, Text, Transformed, Transformed, Transformed, Transformed, Transformed, Transformed, Transformed, Transformed, Transformed, Transformed, Traversable, Traversable, Traversable, TraversableForwarder, TraversableLike, TraversableProxy, TraversableProxyLike, TraversableView, TraversableViewLike, TreeMap, TreeSet, TreeSet, TrieMap, UnPicklerEnv, Unparsed, UnprefixedAttribute, UnrolledBuffer, ValueSet, Vector, WeakHashMap, WithDefault, WithDefault, WithDefault, WithDefault, WithDefault, WithDefault, WrappedArray, WrappedString, Zipped, Zipped, Zipped, Zipped, Zipped, Zipped, Zipped, ZippedAll, ZippedAll, ZippedAll, ZippedAll, ZippedAll, ZippedAll, ZippedAll, columns, indices, items, ofBoolean, ofBoolean, ofByte, ofByte, ofChar, ofChar, ofDouble, ofDouble, ofFloat, ofFloat, ofInt, ofInt, ofLong, ofLong, ofRef, ofRef, ofShort, ofShort, ofUnit, ofUnit, pages, rows
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenTraversableLike
2. Parallelizable
3. GenTraversableOnce
4. Any

Implicitly

1. by traversable2ops
2. by any2stringadd
3. by any2stringfmt
4. by any2ArrowAssoc
5. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def /:[B](z: B)(op: (B, A) ⇒ B): B

   Applies a binary operator to a start value and all elements of this general collection, going left to right.

   Applies a binary operator to a start value and all elements of this general collection, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this general collection, going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this general collection.

   Definition Classes
     GenTraversableOnce

2. #### abstract def :\[B](z: B)(op: (A, B) ⇒ B): B

   Applies a binary operator to all elements of this general collection and a start value, going right to left.

   Applies a binary operator to all elements of this general collection and a start value, going right to left.

   Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a :\ 5)(_+_)
       b: Int = 15

       scala> val c = (a :\ 5)((x,y) => x + y)
       c: Int = 15

   B

     the result type of the binary operator.

   z

     the start value

   op

     the binary operator

   returns

     the result of inserting `op` between consecutive elements of this general collection, going right to left with the start value `z` on the right:

         op(x_1, op(x_2, ... op(x_n, z)...))

     where `x1, ..., xn` are the elements of this general collection.

   Definition Classes
     GenTraversableOnce

3. #### abstract def aggregate[B](z: B)(seqop: (B, A) ⇒ B, combop: (B, B) ⇒ B): B

   Aggregates the results of applying an operator to subsequent elements.

   Aggregates the results of applying an operator to subsequent elements.

   This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

   For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

       pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

   Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

   B

     the type of accumulated results

   z

     the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

   seqop

     an operator used to accumulate results within a partition

   combop

     an associative operator used to combine results from different partitions

   Definition Classes
     GenTraversableOnce

4. #### abstract def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Unit

   Definition Classes
     GenTraversableOnce

5. #### abstract def count(p: (A) ⇒ Boolean): Int

   Counts the number of elements in the general collection which satisfy a predicate.

   Counts the number of elements in the general collection which satisfy a predicate.

   p

     the predicate used to test elements.

   returns

     the number of elements satisfying the predicate `p`.

   Definition Classes
     GenTraversableOnce

6. #### abstract def drop(n: Int): Repr

   Selects all elements except first n ones.

   Selects all elements except first n ones.

   Note: might return different results for different runs, unless the underlying collection type is ordered.

   n

     the number of elements to drop from this general collection.

   returns

     a general collection consisting of all elements of this general collection except the first `n` ones, or else the empty general collection, if this general collection has less than `n` elements.

7. #### abstract def dropWhile(pred: (A) ⇒ Boolean): Repr

   Drops longest prefix of elements that satisfy a predicate.

   Drops longest prefix of elements that satisfy a predicate.

   Note: might return different results for different runs, unless the underlying collection type is ordered.

   pred

     The predicate used to test elements.

   returns

     the longest suffix of this general collection whose first element does not satisfy the predicate `p`.

8. #### abstract def exists(pred: (A) ⇒ Boolean): Boolean

   Definition Classes
     GenTraversableOnce

9. #### abstract def filter(pred: (A) ⇒ Boolean): Repr

   Selects all elements of this general collection which satisfy a predicate.

   Selects all elements of this general collection which satisfy a predicate.

   pred

     the predicate used to test elements.

   returns

     a new general collection consisting of all elements of this general collection that satisfy the given predicate `p`. Their order may not be preserved.

10. #### abstract def filterNot(pred: (A) ⇒ Boolean): Repr

    Selects all elements of this general collection which do not satisfy a predicate.

    Selects all elements of this general collection which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new general collection consisting of all elements of this general collection that do not satisfy the given predicate `p`. Their order may not be preserved.

11. #### abstract def find(pred: (A) ⇒ Boolean): Option[A]

    Finds the first element of the general collection satisfying a predicate, if any.

    Finds the first element of the general collection satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      the predicate used to test elements.

    returns

      an option value containing the first element in the general collection that satisfies `p`, or `None` if none exists.

    Definition Classes
      GenTraversableOnce

12. #### abstract def fold[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this general collection using the specified associative binary operator.

    Folds the elements of this general collection using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      GenTraversableOnce

13. #### abstract def foldLeft[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this general collection, going left to right.

    Applies a binary operator to a start value and all elements of this general collection, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general collection, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this general collection.

    Definition Classes
      GenTraversableOnce

14. #### abstract def foldRight[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this general collection and a start value, going right to left.

    Applies a binary operator to all elements of this general collection and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general collection, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this general collection.

    Definition Classes
      GenTraversableOnce

15. #### abstract def forall(pred: (A) ⇒ Boolean): Boolean

    Definition Classes
      GenTraversableOnce

16. #### abstract def getClass(): Class[_]

    Returns the runtime class representation of the object.

    Returns the runtime class representation of the object.

    returns

      a class object corresponding to the runtime type of the receiver.

    Definition Classes
      Any

17. #### abstract def groupBy[K](f: (A) ⇒ K): GenMap[K, Repr]

    Partitions this general collection into a map of general collections according to some discriminator function.

    Partitions this general collection into a map of general collections according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new general collection.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to general collections such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a general collection of those elements `x` for which `f(x)` equals `k`.

18. #### abstract def hasDefiniteSize: Boolean

    Definition Classes
      GenTraversableOnce

19. #### abstract def head: A

    Selects the first element of this general collection.

    Selects the first element of this general collection.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this general collection.

    Exceptions thrown
      `NoSuchElementException`

      if the general collection is empty.

20. #### abstract def headOption: Option[A]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this general collection if it is nonempty, `None` if it is empty.

21. #### abstract def init: Repr

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a general collection consisting of all elements of this general collection except the last one.

    Exceptions thrown
      `UnsupportedOperationException`

      if the general collection is empty.

22. #### abstract def isEmpty: Boolean

    Tests whether the general collection is empty.

    Tests whether the general collection is empty.

    returns

      `true` if the general collection contains no elements, `false` otherwise.

    Definition Classes
      GenTraversableOnce

23. #### abstract def isTraversableAgain: Boolean

    Tests whether this general collection can be repeatedly traversed.

    Tests whether this general collection can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      GenTraversableLike → GenTraversableOnce

24. #### abstract def last: A

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this general collection.

    Exceptions thrown
      NoSuchElementException

      If the general collection is empty.

25. #### abstract def lastOption: Option[A]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this general collection$ if it is nonempty, `None` if it is empty.

26. #### abstract def maxBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

    Definition Classes
      GenTraversableOnce

27. #### abstract def minBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

    Definition Classes
      GenTraversableOnce

28. #### abstract def mkString: String

    Displays all elements of this general collection in a string.

    Displays all elements of this general collection in a string.

    returns

      a string representation of this general collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this general collection follow each other without any separator string.

    Definition Classes
      GenTraversableOnce

29. #### abstract def mkString(sep: String): String

    Displays all elements of this general collection in a string using a separator string.

    Displays all elements of this general collection in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this general collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this general collection are separated by the string `sep`.

    Definition Classes
      GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

30. #### abstract def mkString(start: String, sep: String, end: String): String

    Displays all elements of this general collection in a string using start, end, and separator strings.

    Displays all elements of this general collection in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this general collection. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this general collection are separated by the string `sep`.

    Definition Classes
      GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

31. #### abstract def nonEmpty: Boolean

    Tests whether the general collection is not empty.

    Tests whether the general collection is not empty.

    returns

      `true` if the general collection contains at least one element, `false` otherwise.

    Definition Classes
      GenTraversableOnce

32. #### abstract def parCombiner: Combiner[A, ParIterable[A]]

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    returns

      a combiner for the parallel collection of type `ParRepr`

    Attributes
      protected[this]
    Definition Classes
      Parallelizable

33. #### abstract def partition(pred: (A) ⇒ Boolean): (Repr, Repr)

    Partitions this general collection in two general collections according to a predicate.

    Partitions this general collection in two general collections according to a predicate.

    pred

      the predicate on which to partition.

    returns

      a pair of general collections: the first general collection consists of all elements that satisfy the predicate `p` and the second general collection consists of all elements that don't. The relative order of the elements in the resulting general collections may not be preserved.

34. #### abstract def reduce[A1 >: A](op: (A1, A1) ⇒ A1): A1

    Reduces the elements of this general collection using the specified associative binary operator.

    Reduces the elements of this general collection using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      The result of applying reduce operator `op` between all the elements if the general collection is nonempty.

    Definition Classes
      GenTraversableOnce
    Exceptions thrown
      UnsupportedOperationException

      if this general collection is empty.

35. #### abstract def reduceLeftOption[B >: A](op: (B, A) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this general collection, going left to right.

    Optionally applies a binary operator to all elements of this general collection, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceLeft(op)` is this general collection is nonempty, `None` otherwise.

    Definition Classes
      GenTraversableOnce

36. #### abstract def reduceOption[A1 >: A](op: (A1, A1) ⇒ A1): Option[A1]

    Reduces the elements of this general collection, if any, using the specified associative binary operator.

    Reduces the elements of this general collection, if any, using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

    Definition Classes
      GenTraversableOnce

37. #### abstract def reduceRight[B >: A](op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this general collection, going right to left.

    Applies a binary operator to all elements of this general collection, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general collection, going right to left:

          op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

      where `x1, ..., xn` are the elements of this general collection.

    Definition Classes
      GenTraversableOnce
    Exceptions thrown
      `UnsupportedOperationException`

      if this general collection is empty.

38. #### abstract def reduceRightOption[B >: A](op: (A, B) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this general collection, going right to left.

    Optionally applies a binary operator to all elements of this general collection, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceRight(op)` is this general collection is nonempty, `None` otherwise.

    Definition Classes
      GenTraversableOnce

39. #### abstract def repr: Repr

40. #### abstract def scan[B >: A, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[Repr, B, That]): That

    Computes a prefix scan of the elements of the collection.

    Computes a prefix scan of the elements of the collection.

    Note: The neutral element `z` may be applied more than once.

    B

      element type of the resulting collection

    That

      type of the resulting collection

    z

      neutral element for the operator `op`

    op

      the associative operator for the scan

    cbf

      combiner factory which provides a combiner

    returns

      a new general collection containing the prefix scan of the elements in this general collection

41. #### abstract def scanLeft[B, That](z: B)(op: (B, A) ⇒ B)(implicit bf: CanBuildFrom[Repr, B, That]): That

    Produces a collection containing cumulative results of applying the operator going left to right.

    Produces a collection containing cumulative results of applying the operator going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the elements in the resulting collection

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

42. #### abstract def scanRight[B, That](z: B)(op: (A, B) ⇒ B)(implicit bf: CanBuildFrom[Repr, B, That]): That

    Produces a collection containing cumulative results of applying the operator going right to left.

    Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Example:

        List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

    B

      the type of the elements in the resulting collection

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

43. #### abstract def seq: TraversableOnce[A]

    Definition Classes
      Parallelizable

44. #### abstract def size: Int

    The size of this general collection.

    The size of this general collection.

    Note: will not terminate for infinite-sized collections.

    returns

      the number of elements in this general collection.

    Definition Classes
      GenTraversableLike → GenTraversableOnce

45. #### abstract def slice(unc_from: Int, unc_until: Int): Repr

    Selects an interval of elements.

    Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

        from <= indexOf(x) < until

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    unc_from

      the lowest index to include from this general collection.

    unc_until

      the lowest index to EXCLUDE from this general collection.

    returns

      a general collection containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this general collection.

46. #### abstract def span(pred: (A) ⇒ Boolean): (Repr, Repr)

    Splits this general collection into a prefix/suffix pair according to a predicate.

    Splits this general collection into a prefix/suffix pair according to a predicate.

    Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      the test predicate

    returns

      a pair consisting of the longest prefix of this general collection whose elements all satisfy `p`, and the rest of this general collection.

47. #### abstract def splitAt(n: Int): (Repr, Repr)

    Splits this general collection into two at a given position.

    Splits this general collection into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the position at which to split.

    returns

      a pair of general collections consisting of the first `n` elements of this general collection, and the other elements.

48. #### abstract def stringPrefix: String

    Defines the prefix of this object's `toString` representation.

    Defines the prefix of this object's `toString` representation.

    returns

      a string representation which starts the result of `toString` applied to this general collection. By default the string prefix is the simple name of the collection class general collection.

49. #### abstract def tail: Repr

    Selects all elements except the first.

    Selects all elements except the first.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a general collection consisting of all elements of this general collection except the first one.

    Exceptions thrown
      `UnsupportedOperationException`

      if the general collection is empty.

50. #### abstract def take(n: Int): Repr

    Selects first n elements.

    Selects first n elements.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to take from this general collection.

    returns

      a general collection consisting only of the first `n` elements of this general collection, or else the whole general collection, if it has less than `n` elements.

51. #### abstract def takeWhile(pred: (A) ⇒ Boolean): Repr

    Takes longest prefix of elements that satisfy a predicate.

    Takes longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      The predicate used to test elements.

    returns

      the longest prefix of this general collection whose elements all satisfy the predicate `p`.

52. #### abstract def toBuffer[A1 >: A]: Buffer[A1]

    Converts this general collection to a mutable buffer.

    Converts this general collection to a mutable buffer.

    Note: will not terminate for infinite-sized collections.

    returns

      a buffer containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce

53. #### abstract def toIndexedSeq: immutable.IndexedSeq[A]

    Converts this general collection to an indexed sequence.

    Converts this general collection to an indexed sequence.

    Note: will not terminate for infinite-sized collections.

    returns

      an indexed sequence containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce

54. #### abstract def toIterable: GenIterable[A]

    Converts this general collection to an iterable collection.

    Converts this general collection to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

    Note: will not terminate for infinite-sized collections.

    returns

      an `Iterable` containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce

55. #### abstract def toIterator: Iterator[A]

    Returns an Iterator over the elements in this general collection.

    Returns an Iterator over the elements in this general collection. Will return the same Iterator if this instance is already an Iterator.

    Note: will not terminate for infinite-sized collections.

    returns

      an Iterator containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce

56. #### abstract def toList: List[A]

    Converts this general collection to a list.

    Converts this general collection to a list.

    Note: will not terminate for infinite-sized collections.

    returns

      a list containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce

57. #### abstract def toSeq: GenSeq[A]

    Converts this general collection to a sequence.

    Converts this general collection to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

    Note: will not terminate for infinite-sized collections.

    returns

      a sequence containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce

58. #### abstract def toSet[A1 >: A]: GenSet[A1]

    Converts this general collection to a set.

    Converts this general collection to a set.

    Note: will not terminate for infinite-sized collections.

    returns

      a set containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce

59. #### abstract def toStream: Stream[A]

    Converts this general collection to a stream.

    Converts this general collection to a stream.

    Note: will not terminate for infinite-sized collections.

    returns

      a stream containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce

60. #### abstract def toTraversable: GenTraversable[A]

    Converts this general collection to an unspecified Traversable.

    Converts this general collection to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

    Note: will not terminate for infinite-sized collections.

    returns

      a Traversable containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce

61. #### abstract def toVector: Vector[A]

    Converts this general collection to a Vector.

    Converts this general collection to a Vector.

    Note: will not terminate for infinite-sized collections.

    returns

      a vector containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from GenTraversableLike[A, Repr] to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

4. #### abstract def ++[B](that: GenTraversableOnce[B]): GenTraversable[B]

   [use case] Returns a new general collection containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new general collection containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the general collection is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new general collection which contains all elements of this general collection followed by all elements of `that`.

   Full Signature

   #### abstract def ++[B >: A, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[Repr, B, That]): That

5. #### def ->[B](y: B): (GenTraversableLike[A, Repr], B)

   Implicit information
     This member is added by an implicit conversion from GenTraversableLike[A, Repr] to ArrowAssoc[GenTraversableLike[A, Repr]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def asParIterable: ParIterable[A]

   Implicit information
     This member is added by an implicit conversion from GenTraversableLike[A, Repr] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
   Definition Classes
     TraversableOps

9. #### def asParSeq: ParSeq[A]

   Implicit information
     This member is added by an implicit conversion from GenTraversableLike[A, Repr] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
   Definition Classes
     TraversableOps

10. #### abstract def collect[B](pf: PartialFunction[A, B]): GenTraversable[B]

    [use case] Builds a new collection by applying a partial function to all elements of this general collection on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this general collection on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the general collection.

    returns

      a new general collection resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Full Signature

    #### abstract def collect[B, That](pf: PartialFunction[A, B])(implicit bf: CanBuildFrom[Repr, B, That]): That

11. #### abstract def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this general collection to an array.

    [use case]

    Copies values of this general collection to an array. Fills the given array `xs` with values of this general collection, beginning at index `start`. Copying will stop once either the end of the current general collection is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def copyToArray[B >: A](xs: Array[B], start: Int): Unit

12. #### abstract def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this general collection to an array.

    [use case]

    Copies values of this general collection to an array. Fills the given array `xs` with values of this general collection. Copying will stop once either the end of the current general collection is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def copyToArray[B >: A](xs: Array[B]): Unit

13. #### def ensuring(cond: (GenTraversableLike[A, Repr]) ⇒ Boolean, msg: ⇒ Any): GenTraversableLike[A, Repr]

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to Ensuring[GenTraversableLike[A, Repr]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (GenTraversableLike[A, Repr]) ⇒ Boolean): GenTraversableLike[A, Repr]

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to Ensuring[GenTraversableLike[A, Repr]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): GenTraversableLike[A, Repr]

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to Ensuring[GenTraversableLike[A, Repr]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): GenTraversableLike[A, Repr]

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to Ensuring[GenTraversableLike[A, Repr]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def equals(arg0: Any): Boolean

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Any implementation of this method should be an equivalence relation:

    - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
    - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
    - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

    If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same scala.Int. (`o1.hashCode.equals(o2.hashCode)`).

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

18. #### abstract def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): GenTraversable[B]

    [use case] Builds a new collection by applying a function to all elements of this general collection and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this general collection and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of general collection. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new general collection resulting from applying the given collection-valued function `f` to each element of this general collection and concatenating the results.

    Full Signature

    #### abstract def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[Repr, B, That]): That

19. #### abstract def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this general collection.

    [use case]

    Applies a function `f` to all elements of this general collection.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      GenTraversableLike → GenTraversableOnce
    Full Signature

    #### abstract def foreach[U](f: (A) ⇒ U): Unit

20. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### def hashCode(): Int

    Calculate a hash code value for the object.

    Calculate a hash code value for the object.

    The default hashing algorithm is platform dependent.

    Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

    returns

      the hash code value for this object.

    Definition Classes
      Any

22. #### def ifParSeq[R](isbody: (ParSeq[A]) ⇒ R): (TraversableOps[A])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

23. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

24. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

25. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

26. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

27. #### abstract def map[B](f: (A) ⇒ B): GenTraversable[B]

    [use case] Builds a new collection by applying a function to all elements of this general collection.

    [use case]

    Builds a new collection by applying a function to all elements of this general collection.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new general collection resulting from applying the given function `f` to each element of this general collection and collecting the results.

    Full Signature

    #### abstract def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[Repr, B, That]): That

28. #### abstract def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this general collection.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def max[A1 >: A](implicit ord: Ordering[A1]): A

29. #### abstract def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this general collection

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def min[A1 >: A](implicit ord: Ordering[A1]): A

30. #### def par: ParIterable[A]

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Definition Classes
      Parallelizable

31. #### abstract def product: A

    [use case] Multiplies up the elements of this collection.

    [use case]

    Multiplies up the elements of this collection.

    returns

      the product of all elements in this general collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the general collection and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def product[A1 >: A](implicit num: Numeric[A1]): A1

32. #### abstract def sum: A

    [use case] Sums up the elements of this collection.

    [use case]

    Sums up the elements of this collection.

    returns

      the sum of all elements in this general collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the general collection and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def sum[A1 >: A](implicit num: Numeric[A1]): A1

33. #### abstract def to[Col[_]]: Col[A]

    [use case] Converts this general collection into another by copying all elements.

    [use case]

    Converts this general collection into another by copying all elements.

    Note: will not terminate for infinite-sized collections.

    Col

      The collection type to build.

    returns

      a new collection containing all elements of this general collection.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, A, Col[A]]): Col[A]

34. #### abstract def toArray: Array[A]

    [use case] Converts this general collection to an array.

    [use case]

    Converts this general collection to an array.

    Note: will not terminate for infinite-sized collections.

    returns

      an array containing all elements of this general collection. An `ClassTag` must be available for the element type of this general collection.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def toArray[A1 >: A](implicit arg0: ClassTag[A1]): Array[A1]

35. #### abstract def toMap[T, U]: Map[T, U]

    [use case] Converts this general collection to a map.

    [use case]

    Converts this general collection to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

    Note: will not terminate for infinite-sized collections.

    returns

      a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this general collection.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def toMap[K, V](implicit ev: <:<[A, (K, V)]): GenMap[K, V]

36. #### def toParArray: ParArray[A]

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

37. #### def toString(): String

    Returns a string representation of the object.

    Returns a string representation of the object.

    The default representation is platform dependent.

    returns

      a string representation of the object.

    Definition Classes
      Any

38. #### def →[B](y: B): (GenTraversableLike[A, Repr], B)

    Implicit information
      This member is added by an implicit conversion from GenTraversableLike[A, Repr] to ArrowAssoc[GenTraversableLike[A, Repr]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implict Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from GenTraversableLike[A, Repr] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (genTraversableLike: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from GenTraversableLike[A, Repr] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (genTraversableLike: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def /:\[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: GenTraversableLike[A, Repr]

   Implicit information
     This member is added by an implicit conversion from GenTraversableLike[A, Repr] to ArrowAssoc[GenTraversableLike[A, Repr]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (genTraversableLike: ArrowAssoc[GenTraversableLike[A, Repr]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: GenTraversableLike[A, Repr]

   Implicit information
     This member is added by an implicit conversion from GenTraversableLike[A, Repr] to Ensuring[GenTraversableLike[A, Repr]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (genTraversableLike: Ensuring[GenTraversableLike[A, Repr]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Parallelizable[A, ParIterable[A]]

### Inherited from GenTraversableOnce[A]

### Inherited from Any

### Inherited by implicit conversion traversable2ops from GenTraversableLike[A, Repr] to TraversableOps[A]

### Inherited by implicit conversion any2stringadd from GenTraversableLike[A, Repr] to StringAdd

### Inherited by implicit conversion any2stringfmt from GenTraversableLike[A, Repr] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from GenTraversableLike[A, Repr] to ArrowAssoc[GenTraversableLike[A, Repr]]

### Inherited by implicit conversion any2Ensuring from GenTraversableLike[A, Repr] to Ensuring[GenTraversableLike[A, Repr]]

### Ungrouped